#
# spec file for package mytop
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           mytop
Url:            http://jeremy.zawodny.com/mysql/mytop/
Version:        1.6
Release:        96.1
Group:          Productivity/Databases/Tools
Source:         mytop-%{version}.tar.bz2
Patch1:         http://ebergen.net/patches/mytop_five_o.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        A top Clone for MySQL
License:        GPLv2+
Requires:       perl = %{perl_version} perl-DBI perl-DBD-mysql perl-TermReadKey

%description
mytop is a console-based (non-GUI) tool for monitoring the threads and
overall performance of MySQL 3.22.x, 3.23.x, and 4.x servers.

- With Term::ANSIColor installed you even get color.

- If you install Time::HiRes, get good real-time queries/second stats.



Authors:
--------
    Jeremy Zawodny <Jeremy@zawodny.com>

%prep
%setup -n mytop-%{version}
%patch1

%build
perl Makefile.PL
make

%check
make test

%install
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes
%doc %{_mandir}/man?/mytop.1.gz
/usr/bin/mytop
%dir %{perl_vendorarch}/auto/mytop
%if 0%{suse_version} < 1140
%{perl_vendorarch}/auto/mytop/.packlist
/var/adm/perl-modules/%{name}
%endif

%changelog
* Mon Jan 17 2011 mhrusecky@suse.cz
- fixed build for factory
* Sat Oct  3 2009 pascal.bleser@opensuse.org
- add patch by Eric Bergen for better MySQL 5.x support:
  http://ebergen.net/wordpress/2006/12/09/mytop-support-for-50/
* Mon Jul 23 2007 cwh@suse.de
- update to v1.6: Allows passwords that contain spaces
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Nov  2 2005 dmueller@suse.de
- don't build as root
* Mon Feb 21 2005 cwh@suse.de
- initial realease
